commit 86fa8ee5affc8091eef5749df24bf0724b7a0f9c
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Wed Apr 29 23:14:08 2020 +0200

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/modules/advanced_help/advanced_help.info b/drupal7/sites/all/modules/advanced_help/advanced_help.info
index 9f65f9ef..13355c9a 100644
--- a/drupal7/sites/all/modules/advanced_help/advanced_help.info
+++ b/drupal7/sites/all/modules/advanced_help/advanced_help.info
@@ -1,10 +1,9 @@
-name = Advanced help
+name = Advanced Help
 description = Provide extended help and documentation.
 core = 7.x
 
-
-; Information added by Drupal.org packaging script on 2018-10-25
-version = "7.x-1.5"
+; Information added by Drupal.org packaging script on 2020-04-29
+version = "7.x-1.6"
 core = "7.x"
 project = "advanced_help"
-datestamp = "1540469884"
+datestamp = "1588145925"
diff --git a/drupal7/sites/all/modules/advanced_help/advanced_help.install b/drupal7/sites/all/modules/advanced_help/advanced_help.install
index 6c4455a0..b2d837be 100644
--- a/drupal7/sites/all/modules/advanced_help/advanced_help.install
+++ b/drupal7/sites/all/modules/advanced_help/advanced_help.install
@@ -9,6 +9,11 @@
  */
 function advanced_help_uninstall() {
   variable_del('advanced_help_last_cron');
+  $sam = variable_get('search_active_modules', NULL);
+  if (!empty($sam)) {
+    unset($sam['advanced_help']);
+    variable_set('search_active_modules', $sam);
+  }
 }
 
 /**
diff --git a/drupal7/sites/all/modules/advanced_help/advanced_help.module b/drupal7/sites/all/modules/advanced_help/advanced_help.module
index 5733c3ec..0299168b 100644
--- a/drupal7/sites/all/modules/advanced_help/advanced_help.module
+++ b/drupal7/sites/all/modules/advanced_help/advanced_help.module
@@ -113,9 +113,13 @@ function advanced_help_menu() {
  * Implements hook_menu_alter().
  */
 function advanced_help_menu_alter(&$callbacks) {
-  // We need to fix the menu item provided by search module to restrict access.
-  $callbacks['search/advanced_help/%menu_tail']['access callback'] = 'user_access';
-  $callbacks['search/advanced_help/%menu_tail']['access arguments'] = array('view advanced help index');
+  // Check if it advanced_help is registered.
+  $sam = variable_get('search_active_modules', NULL);
+  if (!empty($sam['advanced_help']) && 'advanced_help' == $sam['advanced_help']) {
+    // We need to fix the menu item provided by search module to restrict access.
+    $callbacks['search/advanced_help/%menu_tail']['access callback'] = 'user_access';
+    $callbacks['search/advanced_help/%menu_tail']['access arguments'] = array('view advanced help index');
+  }
 }
 
 /**
@@ -714,7 +718,7 @@ function advanced_help_view_topic($module, $topic, $popup = FALSE) {
             '<p>' .
             t('If you install the !module module, the text below will be filtered by the module, producing rich text.',
               array(
-                '!module' => l(t('Markdown filter'),
+                '!module' => l(t('Markdown'),
                   'https://www.drupal.org/project/markdown',
                   array('attributes' => array('title' => t('Link to project.'))))
               )) . '</p>';
diff --git a/drupal7/sites/all/modules/advanced_help/help.css b/drupal7/sites/all/modules/advanced_help/help.css
index fce443f1..57253616 100644
--- a/drupal7/sites/all/modules/advanced_help/help.css
+++ b/drupal7/sites/all/modules/advanced_help/help.css
@@ -6,17 +6,6 @@
 .advanced-help-topic h5 {font-size: 1.25em;}
 .advanced-help-topic h6 {font-size: 1.1em;}
 
-.advanced-help-topic h1,
-.advanced-help-topic h2,
-.advanced-help-topic h3,
-.advanced-help-topic h4,
-.advanced-help-topic h5,
-.advanced-help-topic h6,
-.advanced-help-topic dt {
-  font-weight: bold;
-  font-size: 1.1em;
-}
-
 .advanced-help-topic li h3,
 .advanced-help-topic li h4,
 .advanced-help-topic li h5,
diff --git a/drupal7/sites/all/modules/advanced_help/help/introduction.html b/drupal7/sites/all/modules/advanced_help/help/introduction.html
index 38fb7ab6..3f6c645c 100644
--- a/drupal7/sites/all/modules/advanced_help/help/introduction.html
+++ b/drupal7/sites/all/modules/advanced_help/help/introduction.html
@@ -1,4 +1,4 @@
-<p>The <strong>Advanced help</strong> module provides a framework that
+<p>The <strong>Advanced Help</strong> module provides a framework that
 allows help texts to be viewed as integrated into a Drupal
 website.</p>
 
@@ -29,12 +29,12 @@ project's hierarchy.</p>
 
 <p>May be integrated into <code>hook_help()</code> using companion
 module
-<a href="https://www.drupal.org/project/advanced_help_hint"><strong>Advanced help hint</strong></a>.</p>
+<a href="https://www.drupal.org/project/advanced_help_hint"><strong>Advanced Help Hint</strong></a>.</p>
 
 <h2 id="demo">Demonstration</h2>
 
 <p>The project comes with a small demo module named
-<strong>Advanced help example</strong> to demonstrate how it works.
+<strong>Advanced Help Example</strong> to demonstrate how it works.
 This example also shows how to make use of some of the css classes
 provided.</p>
 
@@ -43,14 +43,14 @@ advanced help features, see the <strong>Views</strong> project.</p>
 
 <p>For an example of translation of help text, see the
 directory <code>translations/help/nb</code> in the <strong>Advanced
-help example</strong> submodule. For translation instructions, see the
+Help Example</strong> submodule. For translation instructions, see the
 section named “<a href="&topic:advanced_help/translation&">Translating
 advanced help</a>”.</p>
 
 <h2 id="theme">Theme</h2>
 
-<p>The <strong>Advanced help</strong> and
-<strong>Advanced help example</strong> modules implements
+<p>The <strong>Advanced Help</strong> and
+<strong>Advanced Help Example</strong> modules implements
 <code>hook_admin_paths_alter()</code> to render the help
 texts rendered using the site's administrative theme.
 The <code>help.css</code> provided is created with the
@@ -71,6 +71,6 @@ help/help_example/*
 </pre>
 
 <p>You may attach your own custom css to any project that
-uses <strong>Advanced help</strong> to provide help.</p>
+uses <strong>Advanced Help</strong> to provide help.</p>
 
 
diff --git a/drupal7/sites/all/modules/advanced_help/help/translation.html b/drupal7/sites/all/modules/advanced_help/help/translation.html
index 75de70f4..2a65f4f5 100644
--- a/drupal7/sites/all/modules/advanced_help/help/translation.html
+++ b/drupal7/sites/all/modules/advanced_help/help/translation.html
@@ -1,4 +1,4 @@
-<p>To translate a help-file indexed by <strong>Advanced help</strong>,
+<p>To translate a help-file indexed by <strong>Advanced Help</strong>,
 first create a directory
 <code>translations/help/<em>language</em></code> in the project's 
 root directory. The <em>language</em>  is the language code that
@@ -29,10 +29,10 @@ linked items, if any, will be translated.</p>
 <p>If a topic is not translated, the default (untranslated) version
 will be shown instead.</p>
 
-<h2>Translating Advanced help's help files</h2>
+<h2>Translating Advanced Help's help files</h2>
 
 <p>If you want to help with the translation of
-<strong>Advanced help</strong> help texts for a particular language, look for an issue named named “Translation to XXX” (where
+<strong>Advanced Help</strong> help texts for a particular language, look for an issue named named “Translation to XXX” (where
 “XXX” is the language you want to translate the help texts to) in the <a href="https://www.drupal.org/project/issues/advanced_help">issue queue for Advanced help</a>.
 If such an issue does not exist, please can create it.
 Choose <em>Category</em>   “Task”,
diff --git a/drupal7/sites/all/modules/advanced_help/help/using-advanced-help.html b/drupal7/sites/all/modules/advanced_help/help/using-advanced-help.html
index 27f7b7bf..924c0cea 100644
--- a/drupal7/sites/all/modules/advanced_help/help/using-advanced-help.html
+++ b/drupal7/sites/all/modules/advanced_help/help/using-advanced-help.html
@@ -1,4 +1,4 @@
-<p>The <strong>Advanced help</strong> module provides a framework that
+<p>The <strong>Advanced Help</strong> module provides a framework that
 allows module and theme developers integrate help texts in a Drupal
 site.</p>
 
@@ -20,7 +20,7 @@ help” will show up under “Help”:
 
 <h2 id="ah_crehlp">Creating help</h2>
 
-<p>Modules and themes utilizing <strong>Advanced help</strong> should
+<p>Modules and themes utilizing <strong>Advanced Help</strong> should
 create a subdirectory named <code>help</code> inside their own main
 directory. Place the file
 <em>MODULENAME</em>.help.ini (resp. <em>THEMENAME</em>.help.ini) in this subdirectory.
@@ -113,16 +113,21 @@ $output .= '&nbsp;' . t('Click the help icon!');
 <div class="help-img-caption" style="max-width:180px">Question mark help icon</div>
 </div>
 
-<p>See the source code of demo module <strong>Advanced help
-example</strong> for link examples.</p>
+<p>See the source code of demo module <strong>Advanced Help
+Example</strong> for link examples.</p>
 
 <p>You may link to other help topics inside your HTML help file using
 this format:</p>
 
 <pre>
-&lt;a href="&amp;topic:module/topic&amp;"&gt;topic&lt;/a&gt;
+&lt;a href="&amp;topic:moduleshortname/moduletopic&amp;"&gt;anchortext&lt;/a&gt;
+&lt;a href="&amp;topic:help_example/lorem&amp;"&gt;Lorem ipsum&lt;/a&gt;
 </pre>
 
+<p>The second line show how to link to a help page provided by the
+module with shortname <code>help_example</code>, with the
+topic <code>lorem</code>.</p>
+
 <p>To reference items within the help directory, such as images you wish to embed  within the help text, use:</p>
 
 <pre>
diff --git a/drupal7/sites/all/modules/advanced_help/help_example/help_example.info b/drupal7/sites/all/modules/advanced_help/help_example/help_example.info
index a1a49027..96d07ed5 100644
--- a/drupal7/sites/all/modules/advanced_help/help_example/help_example.info
+++ b/drupal7/sites/all/modules/advanced_help/help_example/help_example.info
@@ -1,16 +1,10 @@
-name = Advanced help example
+name = Advanced Help Example
 description = A example help module to demonstrate the advanced help module.
 core = 7.x
 dependencies[] = advanced_help
 
-; Information added by Drupal.org packaging script on 2018-10-11
-version = "7.x-1.4+6-dev"
+; Information added by Drupal.org packaging script on 2020-04-29
+version = "7.x-1.6"
 core = "7.x"
 project = "advanced_help"
-datestamp = "1539281584"
-
-; Information added by Drupal.org packaging script on 2018-10-25
-version = "7.x-1.5"
-core = "7.x"
-project = "advanced_help"
-datestamp = "1540469884"
+datestamp = "1588145925"
diff --git a/drupal7/sites/all/modules/advanced_help/translations/help/nb/using-advanced-help.html b/drupal7/sites/all/modules/advanced_help/translations/help/nb/using-advanced-help.html
index 80d072de..031b5474 100644
--- a/drupal7/sites/all/modules/advanced_help/translations/help/nb/using-advanced-help.html
+++ b/drupal7/sites/all/modules/advanced_help/translations/help/nb/using-advanced-help.html
@@ -89,8 +89,14 @@ $output .= '&nbsp;' . t('Click the help icon.');
 <p>Inne i en hjelpe-fil kan du lenke til andre hjelpe-emner ved å
 bruke dette formatet:</p>
 <pre>
-&lt;a href="&amp;topic:module/topic&amp;"&gt;topic&lt;/a&gt;
+&lt;a href="&amp;topic:moduleshortname/moduletopic&amp;"&gt;anchortext&lt;/a&gt;
+&lt;a href="&amp;topic:help_example/lorem&amp;"&gt;Lorem ipsum&lt;/a&gt;
 </pre>
+
+<p>Den andre linja viser hvordan du lenker til en hjelpeside
+tilhørende modulen med det korte navnet <code>help_example</code>, der
+hjelpe-emne er <code>lorem</code>.</p>
+
 <p>Ved å bruke dette formatet i stedet for standard-lenker vil sprettopp-status være konsistent når man trykker på lenker.</p>
 
 <p>For å referere til andre elementer som befinner seg i