commit 98c5df5c0e0a5aaae2546ce0f3953f4ec4d6c0d0
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Wed Nov 26 22:49:40 2014 +0100

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/themes/sky/color/color.inc b/drupal7/sites/all/themes/sky/color/color.inc
index e536d24c..b8c8be73 100644
--- a/drupal7/sites/all/themes/sky/color/color.inc
+++ b/drupal7/sites/all/themes/sky/color/color.inc
@@ -76,9 +76,9 @@ $info = array(
         'sitename'         => '#ffffff',
         'siteslogan'       => '#ffffff',
         'navigationbg'     => '#5d9dd0',
-        'navigationfg'     => '#ffffff',
+        'navigationfg'     => '#111111',
         'titlepage'        => '#100001',
-        'titleblock'       => '#888888',
+        'titleblock'       => '#101010',
         'titlelinked'      => '#000000',
         'link'             => '#2897d7',
         'linkhover'        => '#1473d7',
diff --git a/drupal7/sites/all/themes/sky/css/navigation.css b/drupal7/sites/all/themes/sky/css/navigation.css
index 4a7d6bd6..24876a2a 100644
--- a/drupal7/sites/all/themes/sky/css/navigation.css
+++ b/drupal7/sites/all/themes/sky/css/navigation.css
@@ -98,6 +98,10 @@ ul.menu ul {
 ul.sf-menu {
   margin-bottom: 0 !important;
 }
+/* Superfish fixes */
+ul.sf-menu ul {
+  margin: 0;
+}
 .sf-vertical,
 .sf-vertical li {
   width: 100%;
@@ -283,12 +287,14 @@ ul.action-links {
 }
 
 /* Disable transitions */
+.field-type-addthis a,
+.addthis_toolbox a,
 ul.primary li a,
 ul.primary li.active a,
 div.contextual-links-wrapper a,
 .toolbar-toggle-processed {
   -webkit-transition: 0;
-  -moz-transition: all 0s linear 0s;
+  -moz-transition: none 0s linear 0s;
   -o-transition: 0;
   transition: 0;
 }
diff --git a/drupal7/sites/all/themes/sky/css/page.css b/drupal7/sites/all/themes/sky/css/page.css
index 4916627c..03dffbc0 100644
--- a/drupal7/sites/all/themes/sky/css/page.css
+++ b/drupal7/sites/all/themes/sky/css/page.css
@@ -38,7 +38,7 @@ div.messages {
   padding: 0 20px;
   float: left;
 }
-#page > header > hgroup {
+#page > header > .h-group {
   line-height: 1.2;
   margin: 0 20px;
 }
diff --git a/drupal7/sites/all/themes/sky/css/print.css b/drupal7/sites/all/themes/sky/css/print.css
index 9d108667..839c9f51 100644
--- a/drupal7/sites/all/themes/sky/css/print.css
+++ b/drupal7/sites/all/themes/sky/css/print.css
@@ -121,8 +121,8 @@ header {
   margin: 0 !important;
   float:none !important;
 }
-hgroup a:link,
-hgroup a:visited {
+.h-group a:link,
+.h-group a:visited {
   text-decoration: none;
 }
 
diff --git a/drupal7/sites/all/themes/sky/css/sky.settings.style.css b/drupal7/sites/all/themes/sky/css/sky.settings.style.css
index 197f5717..b982a5bf 100644
--- a/drupal7/sites/all/themes/sky/css/sky.settings.style.css
+++ b/drupal7/sites/all/themes/sky/css/sky.settings.style.css
@@ -158,9 +158,6 @@ form.node-form div.field-type-image img {
 
 
 /* Background overlays */
-.bb-n {
-  background-image: none;
-}
 .bb-h {
   background-image: url(images/ts/hatch.png);
 }
diff --git a/drupal7/sites/all/themes/sky/sky.info b/drupal7/sites/all/themes/sky/sky.info
index 4813df65..9b50d59a 100644
--- a/drupal7/sites/all/themes/sky/sky.info
+++ b/drupal7/sites/all/themes/sky/sky.info
@@ -441,9 +441,9 @@
   settings[menu_bullets]          = 'mb-dd'
   settings[menu_bar_position]     = 'mbp-l'
 
-; Information added by drupal.org packaging script on 2012-07-31
-version = "7.x-3.0-rc1"
+; Information added by Drupal.org packaging script on 2014-03-23
+version = "7.x-3.0"
 core = "7.x"
 project = "sky"
-datestamp = "1343717266"
+datestamp = "1395577162"
 
diff --git a/drupal7/sites/all/themes/sky/template.php b/drupal7/sites/all/themes/sky/template.php
index 319f4b18..ae5f3f76 100644
--- a/drupal7/sites/all/themes/sky/template.php
+++ b/drupal7/sites/all/themes/sky/template.php
@@ -83,8 +83,10 @@ function sky_preprocess_block(&$vars) {
  */
 function sky_preprocess_node(&$vars) {
   // Add class if user picture exists
-  if ($vars['user_picture']) {
-    $vars['header_attributes_array']['class'][] = 'with-picture';
+  if(!empty($vars['submitted']) && $vars['display_submitted']) {
+    if ($vars['user_picture']) {
+      $vars['header_attributes_array']['class'][] = 'with-picture';
+    }
   }
 }
 
@@ -108,14 +110,3 @@ function sky_process_region(&$vars) {
     $vars['inner_prefix'] = '<h2 class="menu-toggle"><a href="#">' . t('Menu') . '</a></h2>';
   }
 }
-
-
-
-
-
-
-
-
-
-
-
diff --git a/drupal7/sites/all/themes/sky/templates/node.tpl.php b/drupal7/sites/all/themes/sky/templates/node.tpl.php
index e4b76b4b..838fa108 100644
--- a/drupal7/sites/all/themes/sky/templates/node.tpl.php
+++ b/drupal7/sites/all/themes/sky/templates/node.tpl.php
@@ -7,7 +7,7 @@
   <?php if(!empty($user_picture) || $title || (!empty($submitted) && $display_submitted)): ?>
     <header<?php print $header_attributes; ?>>
 
-      <?php print $user_picture; ?>
+      <?php if(!empty($submitted) && $display_submitted) print $user_picture; ?>
 
       <?php if ($title && !$page): ?>
         <h1<?php print $title_attributes; ?>>
diff --git a/drupal7/sites/all/themes/sky/templates/page.tpl.php b/drupal7/sites/all/themes/sky/templates/page.tpl.php
index 6370739e..35b03e73 100644
--- a/drupal7/sites/all/themes/sky/templates/page.tpl.php
+++ b/drupal7/sites/all/themes/sky/templates/page.tpl.php
@@ -16,7 +16,7 @@
 
         <?php if ($site_name || $site_slogan): ?>
           <!-- start: Site name and Slogan hgroup -->
-          <hgroup id="name-and-slogan"<?php print $hgroup_attributes; ?>>
+          <div id="name-and-slogan"<?php print $hgroup_attributes; ?>>
 
             <?php if ($site_name): ?>
               <h1 id="site-name"<?php print $site_name_attributes; ?>><?php print $site_name; ?></h1>
@@ -26,7 +26,7 @@
               <h2 id="site-slogan"<?php print $site_slogan_attributes; ?>><?php print $site_slogan; ?></h2>
             <?php endif; ?>
 
-          </hgroup><!-- /end #name-and-slogan -->
+          </div><!-- /end #name-and-slogan -->
 
         <?php endif; ?>
 
diff --git a/drupal7/sites/all/themes/sky/theme-settings.php b/drupal7/sites/all/themes/sky/theme-settings.php
index 4067358e..09cd6686 100644
--- a/drupal7/sites/all/themes/sky/theme-settings.php
+++ b/drupal7/sites/all/themes/sky/theme-settings.php
@@ -22,6 +22,11 @@ function sky_form_system_theme_settings_alter(&$form, &$form_state) {
     '#default_value' => TRUE,
   );
 
+  // Remove option to use full width wrappers
+  $form['at']['modify-output']['design']['page_full_width_wrappers'] = array(
+    '#access' => FALSE,
+  );
+
   if (at_get_setting('enable_extensions') === 1) {
     $form['at']['corners'] = array(
       '#type' => 'fieldset',