commit 135bbeb9194687a2139ebd7a75058188db48ed3b
Author: Julien Enselme <julien.enselme@centrale-marseille.fr>
Date:   Fri Dec 12 19:05:58 2014 +0100

    Update pdf_reader from 1.0-rc5 to 1.0-rc6

diff --git a/drupal7/sites/all/modules/pdf_reader/pdf_reader.info b/drupal7/sites/all/modules/pdf_reader/pdf_reader.info
index 7b041722..c88108b4 100644
--- a/drupal7/sites/all/modules/pdf_reader/pdf_reader.info
+++ b/drupal7/sites/all/modules/pdf_reader/pdf_reader.info
@@ -5,9 +5,9 @@ files[] = pdf_reader.module
 files[] = pdf_reader.install
 files[] = tests/pdf_reader.test
 
-; Information added by Drupal.org packaging script on 2014-02-11
-version = "7.x-1.0-rc5"
+; Information added by Drupal.org packaging script on 2014-12-12
+version = "7.x-1.0-rc6"
 core = "7.x"
 project = "pdf_reader"
-datestamp = "1392107907"
+datestamp = "1418402241"
 
diff --git a/drupal7/sites/all/modules/pdf_reader/pdf_reader.module b/drupal7/sites/all/modules/pdf_reader/pdf_reader.module
index 15fbf37b..0f250534 100644
--- a/drupal7/sites/all/modules/pdf_reader/pdf_reader.module
+++ b/drupal7/sites/all/modules/pdf_reader/pdf_reader.module
@@ -60,8 +60,8 @@ function pdf_reader_field_formatter_settings_form($field, $instance, $view_mode,
     '#title' => t('Renderer'),
     '#type' => 'select',
     '#options' => array(
-      'google' => 'Google Viewer', 
-      'direct' => 'Direct Embed', 
+      'google' => 'Google Viewer',
+      'direct' => 'Direct Embed',
       'pdf-js' => 'pdf.js'),
     '#default_value' => $settings['renderer'],
   );
@@ -98,17 +98,17 @@ function pdf_reader_field_formatter_settings_form($field, $instance, $view_mode,
  */
 function pdf_reader_field_formatter_settings_summary($field, $instance, $view_mode) {
   $renderers = array(
-    'google' => 'Google Viewer', 
-    'direct' => 'Direct Embed', 
+    'google' => 'Google Viewer',
+    'direct' => 'Direct Embed',
     'pdf-js' => 'pdf.js');
   $display = $instance['display'][$view_mode];
   $settings = $display['settings'];
 
-  $summary = 'Size: ' . $settings['pdf_width'] . 'x' . $settings['pdf_height'] 
-           . ' Using: ' . $renderers[$settings['renderer']]
-           . '<br> Download Link: ' . ($settings['download'] == 1 ? 'YES' : 'NO')
-           . ' Use colorbox: ' . ($settings['colorbox'] == 1 ? 'YES' : 'NO')
-           . ' Colorbox link text: ' . $settings['colorbox_link_text'];
+  $summary = 'Size: ' . $settings['pdf_width'] . 'x' . $settings['pdf_height']
+      . ' Using: ' . $renderers[$settings['renderer']]
+      . '<br> Download Link: ' . ($settings['download'] == 1 ? 'YES' : 'NO')
+      . ' Use colorbox: ' . ($settings['colorbox'] == 1 ? 'YES' : 'NO')
+      . ' Colorbox link text: ' . $settings['colorbox_link_text'];
   return $summary;
 }
 
@@ -143,7 +143,7 @@ function pdf_reader_theme($existing, $type, $theme, $path) {
     ),
     'pdf_js' => array(
       'template' => 'pdf_js',
-      'path' => drupal_get_path('module', 'pdf_reader') .'/theme'
+      'path' => drupal_get_path('module', 'pdf_reader') . '/theme'
     )
   );
 }
@@ -155,34 +155,30 @@ function theme_pdf_reader($variables) {
   $file_url = isset($variables['file']['uri']) ? file_create_url($variables['file']['uri']) : $variables['file']['value'];
 
   switch ($variables['settings']['renderer']) {
-    case 0:
     case 'google':
-    default:
       $output = '<iframe id="pdf_reader" src="//docs.google.com/viewer?embedded=true&url='
-              . urlencode($file_url)
-              . '" width="' . $variables['settings']['pdf_width']
-              . '" height="' . $variables['settings']['pdf_height']
-              . '" scrolling="no'
-              . '" style="border: none;"></iframe>';
+          . urlencode($file_url)
+          . '" width="' . $variables['settings']['pdf_width']
+          . '" height="' . $variables['settings']['pdf_height']
+          . '" scrolling="no'
+          . '" style="border: none;"></iframe>';
       break;
-    
-    case 2:
+
     case 'direct':
       $output = '<object id="pdf_reader" data="' . $file_url . '#view=Fit' . '" '
-              . 'type="application/pdf' . '" '
-              . 'width="' . $variables['settings']['pdf_width'] . '" '
-              . 'height="' . $variables['settings']['pdf_height'] . '">'
-              . '<embed src="' . $file_url . '#view=Fit' . '"'
-              . 'width="' . $variables['settings']['pdf_width'] . '" '
-              . 'height="' . $variables['settings']['pdf_height'] . '" '
-              . 'type="application/pdf">'
-              . '<p>' . t('It appears your Web browser is not configured to display PDF files. ')
-              . l(t('Download adobe Acrobat '), 'http://www.adobe.com/products/reader.html')
-              . ' ' . t('or') . ' ' . l(t('click here to download the PDF file.'), $file_url) . '</p>'
-              . '</embed></object>';
+          . 'type="application/pdf' . '" '
+          . 'width="' . $variables['settings']['pdf_width'] . '" '
+          . 'height="' . $variables['settings']['pdf_height'] . '">'
+          . '<embed src="' . $file_url . '#view=Fit' . '"'
+          . 'width="' . $variables['settings']['pdf_width'] . '" '
+          . 'height="' . $variables['settings']['pdf_height'] . '" '
+          . 'type="application/pdf">'
+          . '<p>' . t('It appears your Web browser is not configured to display PDF files. ')
+          . l(t('Download adobe Acrobat '), 'http://www.adobe.com/products/reader.html')
+          . ' ' . t('or') . ' ' . l(t('click here to download the PDF file.'), $file_url) . '</p>'
+          . '</embed></object>';
       break;
 
-    case 3:
     case 'pdf-js':
       _pdf_reader_load_pdf_js($file_url);
       $output = theme('pdf_js');
@@ -200,9 +196,9 @@ function theme_pdf_reader($variables) {
       'attributes' => array('class' => array('colorbox-inline', 'show')),
       'query' => array(
         'width' => $variables['settings']['pdf_width'],
-        'height' => $variables['settings']['pdf_height'], 
+        'height' => $variables['settings']['pdf_height'],
         'inline' => 'true',
-      ), 
+      ),
       'fragment' => 'pdf_reader',
     );
 
@@ -210,7 +206,7 @@ function theme_pdf_reader($variables) {
 
     $output .= '<div style="display:none">' . $html . '</div>';
   }
-  
+
   return $output;
 }
 